Namespaces | Functions
CgiUtils.h File Reference

A collection of utility functions. More...

`#include <new>`
`#include <string>`
`#include <fstream>`
`#include "CgiDefs.h"`

Go to the source code of this file.

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Functions
bool | cgicc::stringsAreEqual (const std::string &s1, const std::string &s2)
| Compare two strings for equality, ignoring case. More...
bool | cgicc::stringsAreEqual (const std::string &ss1, const std::string &ss2, size_t n)
| Compare two strings for equality, ignoring case. More...
std::string | cgicc::form_urldecode (const std::string &src)
| Convert encoded characters in form data to normal ASCII. More...
std::string | cgicc::form_urlencode (const std::string &src)
| Convert an ASCII string to a URL-safe string. More...
std::string | cgicc::charToHex (char c)
| Convert an ASCII character to its hexadecimal equivalent. More...
char | cgicc::hexToChar (char first, char second)
| Convert a hex-encoded character to its ASCII equivalent. More...
std::string | cgicc::extractBetween (const std::string &data, const std::string &separator1, const std::string &separator2)
| Extract a substring contained within two separators. More...
std::string | cgicc::extractBetween (const std::string &datas, const std::string &separators)
| Extract a substring contained between a separator. More...
void | cgicc::writeString (std::ostream &out, const std::string &s)
| Write a string to an ostream. More...
void | cgicc::writeLong (std::ostream &out, unsigned long l)
| Write a long to an ostream. More...
std::string | cgicc::readString (std::istream &in)
| Read a string from an istream. More...
unsigned long | cgicc::readLong (std::istream &in)
| Read a long from an istream. More...

## Detailed Description

A collection of utility functions.

These utility functions are used internally by cgicc to decode posted form data, and to read/write from streams.

Definition in file CgiUtils.h.